org.apache.cassandra.db.composites

## Class AbstractComposite

- java.lang.Object
- - org.apache.cassandra.db.composites.AbstractComposite

All Implemented Interfaces:
  IMeasurableMemory, Composite

Direct Known Subclasses:
  BoundedComposite, CompoundComposite, SimpleComposite, SimpleSparseCellName

    public abstract class AbstractComposite
    extends java.lang.Object
    implements Composite

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.composites.Composite

`Composite.EOC`

### Constructor Summary

Constructors
Constructor and Description
`AbstractComposite()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `dataSize()`
`Composite` `end()`
`Composite.EOC` `eoc()`
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`boolean` `isEmpty()`
`boolean` `isPrefixOf(CType type, Composite c)`
`boolean` `isStatic()`
`ColumnSlice` `slice()`
`Composite` `start()`
`java.nio.ByteBuffer` `toByteBuffer()`
`Composite` `withEOC(Composite.EOC newEoc)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.db.composites.Composite

`copy, get, size`

### Methods inherited from interface org.apache.cassandra.cache.IMeasurableMemory

`unsharedHeapSize`

### Constructor Detail

#### AbstractComposite

    public AbstractComposite()

### Method Detail

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Composite`

#### isStatic

    public boolean isStatic()

Specified by:
  `isStatic` in interface `Composite`

#### eoc

    public Composite.EOC eoc()

Specified by:
  `eoc` in interface `Composite`

#### start

    public Composite start()

Specified by:
  `start` in interface `Composite`

#### end

    public Composite end()

Specified by:
  `end` in interface `Composite`

#### withEOC

    public Composite withEOC(Composite.EOC newEoc)

Specified by:
  `withEOC` in interface `Composite`

#### slice

    public ColumnSlice slice()

Specified by:
  `slice` in interface `Composite`

#### toByteBuffer

    public java.nio.ByteBuffer toByteBuffer()

Specified by:
  `toByteBuffer` in interface `Composite`

#### dataSize

    public int dataSize()

Specified by:
  `dataSize` in interface `Composite`

#### isPrefixOf

    public boolean isPrefixOf(CType type,
                              Composite c)

Specified by:
  `isPrefixOf` in interface `Composite`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`